Page MenuHomePhabricator

Wikibase references is a count of ref claims, should be reference statements
Closed, ResolvedPublic

Description

See: https://github.com/wikimedia/revscoring/blob/master/revscoring/features/wikibase/datasources/revision_oriented.py#L137

[11:49:40] <ragesoss> https://www.wikidata.org/w/index.php?title=Q7159670&oldid=983627501
[11:49:47] <ragesoss> https://ores.wikimedia.org/v3/scores/wikidatawiki/983627501/itemquality?features
[11:50:33] <ragesoss> ORES says 35 references and 20 unique ones, but I count only 19 total when I add up all the references on the item.

...

[12:18:01] <halfak> Aha!  We're counting up all of the claims in each reference!
[12:18:08] * Tpt[m] (tptmatrixo@gateway/shell/matrix.org/x-lbgbssffmzuozesr) has joined
[12:18:35] <halfak> Nice spot ragesoss.  I think that looking at reference *claims* is fine, but we want this feature to be limited to refs themselves.  Maybe we can have a different feature for ref claims.

Event Timeline

Halfak created this task.Jul 25 2019, 5:20 PM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptJul 25 2019, 5:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ACraze added a comment.EditedJul 29 2019, 8:30 PM

@Halfak here's a PR that fixes the sources feature and also adds a new feature specifically for ref claims:
https://github.com/wikimedia/revscoring/pull/445

Halfak closed this task as Resolved.Aug 7 2019, 3:52 PM